Bug 1721888 - The VM power off/on from CR -> VMs tab, throws undefined method error 'state'
Summary: The VM power off/on from CR -> VMs tab, throws undefined method error 'state'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - GCE
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.6.0
Assignee: Kavita
QA Contact: Jitendra Yejare
URL:
Whiteboard:
: 1721887 (view as bug list)
Depends On:
Blocks: 1721890
TreeView+ depends on / blocked
 
Reported: 2019-06-19 08:33 UTC by Jitendra Yejare
Modified: 2019-10-22 19:47 UTC (History)
2 users (show)

Fixed In Version: foreman-1.22.0.2-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:47:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26812 None None None 2019-06-19 08:33:22 UTC

Description Jitendra Yejare 2019-06-19 08:33:20 UTC
Description:
-------------------
The VM power off/on from CR -> VMs throws below error but the VM in GCE is turning on and off as expected.
Error - undefined method `state' for #Fog::Compute::Google::Server:0x005564da4bac78 Did you mean? start status

Step:
---------
1. Create/Integrate a Compute Resource of GCE in/with foreman.
2. Wait for all the VMs to be listed in VMs tab under GCE CR.
3. Click PowerOff/On button for the VM in VMs tab.

Actual Result:
----------------
The VM power off/on from CR -> VMs throws below error but the VM in GCE is turning on and off as expected.
Error - undefined method `state' for #Fog::Compute::Google::Server:0x005564da4bac78 Did you mean? start status

Expected Behavior:
--------------------
The VM Power on/off should not through any error.

Comment 1 Jitendra Yejare 2019-06-19 08:33:24 UTC
Created from redmine issue https://projects.theforeman.org/issues/26812

Comment 2 Jitendra Yejare 2019-06-19 08:33:31 UTC
Upstream bug assigned to kgaikwad@redhat.com

Comment 4 Bryan Kearney 2019-06-19 10:08:17 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26812 has been resolved.

Comment 5 Brad Buckingham 2019-06-21 14:28:02 UTC
*** Bug 1721887 has been marked as a duplicate of this bug. ***

Comment 8 Kavita 2019-06-28 06:37:35 UTC
Verified merge-request satellite6/foreman/merge_requests/428 which contains the commit for this BZ.

Comment 9 Jitendra Yejare 2019-07-01 11:54:23 UTC
Verified!

@Satellite 6.6 snap 9

Steps:
------------
1. Create/Integrate a Compute Resource of GCE in/with the foreman.
2. Wait for all the VMs to be listed in VMs tab under GCE CR.
3. Click PowerOff/On button for the VM in VMs tab.


Observation:
----------------
1. Error(s) (specially reported in the description of this bug) is not seen.

Comment 10 Bryan Kearney 2019-10-22 19:47:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.